LoadRunner Support Forum
Showing results for 
Search instead for 
Do you mean 

TrueClient Firefox/IE Flash support

Occasional Visitor

TrueClient Firefox/IE Flash support



I am using Load runner to test Flash (ver 10.2 and above) based web application, the advised protocol from LR was TruClientIE9 but for some reason my app does not load but it does load in IE9-standard mode

When I tried to use TrueClient-Firefox I get an error saying the app needs flash version 10.2 and above


Is there a way where i can update the flash version used by TruClient, also is it possible to debug why the app does not load in IE9



Esteemed Contributor Esteemed Contributor

Re: TrueClient Firefox/IE Flash support

I have not tried this myself, but I did find this as a potential solution:


Enable Flash in TruClient


  1. Download Adobe Flash Player manually from http://get.adobe.com/flashplayer/
  2. Find NPSWF32.dll
  3. Interactive mode: Copy into <LR installation>\bin\firefox\plugins
  4. Load mode: Copy into <LR installation>\bin\gecko\plugins
HPE Expert

Re: TrueClient Firefox/IE Flash support


There are several aspects in your question that are not relate.

The support of Flash application is very limited in TC (we support only naive coordinate based object identification) so I'm not sure it is the suitable protocol to use.


Regarding flash plugin in FF please try the suggested post below.


Regarding applications that are developed in IE9 STD mode and not load correctly, you shold open a formal support ticket for it.

Guy Rosenthal
TruClient RnD Team Manager
LoadRunner RnD